Subject: Re: linux-next: manual merge of the osd tree with the scsi tree

From: James Bottomley <[email-masked]>
Date: Sun, 29 Nov 2009 08:46:39 -0500

On Sun, 2009-11-29 at 15:07 +0200, Boaz Harrosh wrote:
> On 11/29/2009 11:10 AM, Boaz Harrosh wrote:
> > On 11/27/2009 05:32 AM, Stephen Rothwell wrote:
> >> Hi Boaz,
> >>
> >> Today's linux-next merge of the osd tree got a conflict in
> >> drivers/scsi/osd/osd_uld.c between commit
> >> f89b9ee4a722721ed205b8c29555ac75fbe8c2cc ("[SCSI] osduld: Use
> >> device->release instead of internal kref") from the scsi tree and commit
> >> 9b579fe8588b861dcf0c9b620757729643db4557 ("osduld: Use device->release
> >> instead of internal kref") from the osd tree.
> >>
> >> These are slightly different versions of the same patch ...
> >>
> >> And commit 01e4c32c668251e74eb179ee1207c075466c4ef8 ("osduld: No need to
> >> use dev_set_drvdata on embedded devices") from the osd also contributes
> >> to the conflict.
> >>
> > 
> > James has squashed these two patches together. Which do belong together
> > I should say. In my tree they are separate. I will change my tree to
> > match James's.
> > 
> > Thanks James, I prefer it much better this way.
> > 
> 
> James hi.
> 
> In your merge of the patch:
>     [SCSI] osduld: Use device->release instead of internal kref
> at:
>     [jejb: fold in use of container_of]
> 
> You have made a mistake, which renders the driver unusable.
> At osd_remove() you changed the use of dev_get_drvdata to an, container_of()
> but it is the *wrong* dev at this point this dev here is the grand-parent of
> the embedded dev in question.
> 
> Also at the next patch:
>     [SCSI] libosd: osd_dev_info: Unique Identification of an OSD device
> 
> a new use of dev_get_drvdata() is not converted to a container_of(), which by
> now will return NULL.
> 
> Should I repost the correct two patches (my preference)? should I send in a fix to
> current scsi-misc tree? or should I send two SQUASH-ME patches to the two bad commits
> in your tree?
>
> How do you want to proceed?

Send me the replacement patch (and tell me which commit id in my tree
it's replacing).

Thanks,

James